%define snap    20130719
%define rel     3

Name: icecream-monitor
Version: 2.0
Release: %mkrel 1.git%snap.%rel
Summary: KDE GUI monitor for icecream distributed compiled system
License: GPLv2+
Url: http://en.opensuse.org/Icecream
Group: Development/Tools
# https://github.com/icecc/icemon/archive/master.zip
Source0: icemon-git%snap.tar.xz
BuildRequires: kdelibs4-devel
BuildRequires: icecream-devel
BuildRequires: kde4-macros
BuildRequires: docbook2x
Provides: icemon = %version-%release
Obsoletes: icemon < 1.0-2

%description
KDE GUI Monitor for icecream distributed compiled system.

%files
%_kde_bindir/*
%_kde_iconsdir/*/*/*/icemon.*
%_datadir/applications/icemon.desktop
%_mandir/man1/icemon.1.xz

#-----------------------------------------------------------------

%prep
%setup -q -n icemon

%build
%cmake_kde4

%make

%install
%makeinstall_std -C build



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0-1.git20130719.3.mga5
+ Revision: 748481
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-1.git20130719.2.mga5
+ Revision: 680443
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 pterjan <pterjan> 2.0-1.git20130719.1.mga4
+ Revision: 563206
- Switch to git snapshot

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0-0.svn1303855.2.mga3
+ Revision: 354164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 anssi <anssi> 2.0-0.svn1303855.1.mga3
+ Revision: 300255
- new snapshot
- drop obsolete patch
- update filelist, license, summary, description, group
- drop obsolete provides and buildrequires
- imported package icecream-monitor


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-7mdv2011.0
+ Revision: 611170
- rebuild

* Sun Jan 17 2010 Anssi Hannula <anssi@mandriva.org> 1.0-6mdv2010.1
+ Revision: 492676
- fix icon (refresh icemon.dif from opensuse)
- fix buildrequires on kdevplatform4-devel

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - old directory, without matching package

  + Helio Chissini de Castro <helio@mandriva.com>
    - Raise release to crush old debug packages
    - New version to match current main icecream package
    - Back to original official name
    - New upstream tarball to match current icecream
    - Rebuild to cover missing package

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 0.1.svn852735-1mdv2009.0
+ Revision: 276218
- New kde4 version of icecream monitor
- import icemon


* Mon Sep 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-04 18:52:57 (59878)
- Old package based on icecream had 2 as epoch number, so needed raise epoch to 3

* Mon Sep 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-04 15:51:09 (59809)
- import icecream-monitor-0.1-1mdv2007.0

* Thu Aug 03 2006 Helio Chissini de Castro <helio@mandriva.com>
- First separated package from main icecream

